Skip to main content
GET
/
properties
/
lookup
Property Lookup
curl --request GET \
  --url https://data.apartmentiq.io/apartmentiq/api/v1/properties/lookup \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    123
  ],
  "pagination": {
    "current_page": 1,
    "total_pages": 595,
    "total_count": 1190,
    "per_page": 50
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

account_id
integer
required

ID of the account (required for authorization).

city
string

Filter by city name.

state
string

Filter by US state (two-letter abbreviation).

address
string

Filter by address (partial match supported).

property_name
string

Filter by property name (partial match supported).

latitude
number<double>

Latitude for coordinate-based search. Use with longitude. Can also be specified as 'lat'.

longitude
number<double>

Longitude for coordinate-based search. Use with latitude. Can also be specified as 'lng'.

radius
number<double>
default:0.5

Search radius in miles when using coordinate-based search. Defaults to 0.5 miles.

total_units_gte
integer

Minimum total number of units.

total_units_lte
integer

Maximum total number of units.

number_of_stories_gte
integer

Minimum number of stories/floors.

property_class
enum<string>

Filter by property classification grade.

Available options:
A,
B,
C
page
integer
default:1

Page number for pagination (starts at 1).

Required range: x >= 1
per_page
integer
default:50

Number of results per page. Maximum 200.

Required range: 1 <= x <= 200

Response

Property IDs retrieved successfully

data
integer[]
required

Array of property IDs matching the search criteria.

pagination
object
required